#pragma once

namespace J3ML::Units
{

    template <typename T>
    class Rotation
    {
        T GetDegrees() const;
        T GetRadians() const;
        void SetDegrees(T val);
        void SetRadians(T val);

    };

    using Rotationf = Rotation<float>;
    using Rotationd = Rotation<double>;

}