#include <J3ML/LinearAlgebra/Matrix2x2.h>

namespace J3ML::LinearAlgebra {

    Vector2 Matrix2x2::GetRow(int index) const {
        float x = this->elems[index][0];
        float y = this->elems[index][1];

        return {x, y};
    }

    Vector2 Matrix2x2::GetColumn(int index) const {
        float x = this->elems[0][index];
        float y = this->elems[1][index];
        return {x, y};
    }

    float Matrix2x2::At(int x, int y) const {
        return this->elems[x][y];
    }

    float &Matrix2x2::At(int x, int y) {
        return this->elems[x][y];
    }
}